Skip to main content
GET
/
products
/
collections
Fetch Product Collections
curl --request GET \
  --url https://services.leadconnectorhq.com/products/collections \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    "<array>"
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

limit
number
default:10

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

altId
string
required

Location Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required

The type of alt. For now it is only LOCATION

Available options:
location
Example:

"LOCATION"

collectionIds
string

Ids of the collections separated by comma(,) for search purposes

Example:

"65d71377c326ea78e1c47df5,65d71377c326ea78e1c47d34"

name
string

Query to search collection based on names

Example:

"Best Sellers"

type
string

Query to search collection based on type

Example:

"smart"

Query to search collection based on deleted

Example:

true

Response

Successful response

data
array[]
required

Array of Collections

total
number
required

The total count of the collections present, which is useful to calculate the pagination

Last modified on March 4, 2026